<?php
// ********************************
// Erstellt eine neue Datenbank
//
// In:  $database - Name der Datenbank
// 		$mode 	  - Null - Errorausgabe "Error: #DB_Cr"
//                - ungleich Null - Random Datenbankfile erstellen
// Out: Success   - true
// 		Error     -	(Database already exists -> exit)
// ********************************
function _DB_Create($col,$database = Null)
{
	global $debug,$sucout;
	$err_in = "_DB_Create() - ";
	
	if (!is_numeric($col) or $col < 1){
		if ($debug){_ErrOut("$err_in $col is no Number or is lower than 1!");}
		echo -1;
		exit;
	}
	
	if (is_null($database))
	{	
		$database = _DB_RndName();
	}else{
		if (file_exists($database . ".txt"))
		{	
			if (is_null($mode))
			{
				if ($debug){_ErrOut("$err_in Unable to create the database. Database already exists!");}
				exit;
			}else{
				$database = _DB_RndName();
			}
		}else{
			$database = $database;
		}
	}
	$file = fopen($database .".txt","w+");
	fwrite($file,">".$col."\n");
	fclose($file);
	if (file_exists($database .".txt"))
	{
		if ($sucout){_SucOut("$err_in Created Database-Filename: $database");}
		echo 1;
	}else{
		if ($debug){_ErrOut("$err_in Can't Create Database-Filename: $database");}
		echo -1;
	}
}
?>