<?php
// ********************************
//	Aktualisiert einen Datensatz
//
// In:  $database - Name der Datenbank
//		$string   - Der String der aktualisiert werden soll
// 		$id 	  - Id des Datensatzes
//      $col	  - Spalte des Datensatzes
//				  - (-1) - Kompletten Datensatz erneuern
// 				  - ( 0 - Spalte 1 / 1 - Spalte 2 ...)
//
// Out: Success   - true
// 		Error     -	(Database doesn't exist -> exit)
// ********************************
function _DB_Update($database,$string,$id,$col)
{
	global $debug,$sucout,$charlist;
	$err_in = "_DB_Update() - ";
	
	if (_DB_Exist($database)){
		if ($sucout){_SucOut("$err_in Database exist!");}
		if (_Check_Str($string,$charlist)){
    		$cols = _DB_GetCols($database);
    		$database = $database.".txt";
    		$IDs = _Get_IDs($database);
    		if (in_array($id,$IDs))
			{
				if ($sucout){_SucOut("$err_in ID is avaible!");}
				if ($col > ($cols-1)  or $col < -1)
				{
					if ($debug){_ErrOut("$err_in The Database doesn't have $col Columns!");}
					exit;
				}else{
					if ($col == -1)
					{
						if (_Check_Deli($string)==$cols){
							if ($sucout){_SucOut("$err_in All delimiters insert!");}
							if ($sucout){_SucOut("$err_in Columns are avaible!");}
							$id_fileline =  _Get_FileLineID($database,$id);
							if ($id_fileline != -1)
							{
								if ($sucout){_SucOut("$err_in ID: $id is in Database in line $id_fileline!");}
								$file = file($database);
								array_splice($file,$id_fileline-1,1,$id."=".$string."\n");
								$context = implode("", $file);
								file_put_contents($database, $context);
								if ($sucout){_SucOut("$err_in Successfully insert data!");}
								echo 1;
								exit;
							}else{
								if ($debug){_ErrOut("$err_in No ID: $id in Database:$database");}
								exit;
							}
						}else{
							if ($debug){_ErrOut("$err_in Insufficient delimiters in string: $string!");}
							exit;
						}
					}else{
						if (_Check_Deli($string)==1){
							if ($sucout){_SucOut("$err_in The insert string doesn't contain any delimiters!");}
							$id_fileline =  _Get_FileLineID($database,$id);
							if ($id_fileline != -1){
								$file = file($database);
								$id_context = rtrim(_Get_IDContext($file[$id_fileline-1]));
								$split = explode("|",$id_context);
								$new_context ="";
								$split_count = count($split);
								$insert = 0;
								for ($i=0;$i<=$split_count;$i++){
									if ($i == $col){
										$insert ++;
										$new_context .= $string;
										if ($insert<$split_count){
											$new_context .= "|";
										}
									}else{
										$insert ++;
										$new_context .= $split[$i];
										if ($insert<$split_count){
											$new_context .= "|";
										}
									}
								}
								$id_fileline =  _Get_FileLineID($database,$id);
								if ($id_fileline != -1)
								{
									if ($sucout){_SucOut("$err_in ID: $id is in Database in line $id_fileline!");}
									$file = file($database);
									array_splice($file,$id_fileline-1,1,$id."=".$new_context."\n");
									$context = implode("", $file);
									file_put_contents($database, $context);
									if ($sucout){_SucOut("$err_in Successfully insert data!");}
									echo 1;
									exit;
								}else{
									if ($debug){_ErrOut("$err_in No ID: $id in Database:$database");}
									exit;
								}	
							}else{
								if ($debug){_ErrOut("$err_in Fileline ID failed!");}
								exit;
							}
						}else{
							if ($debug){_ErrOut("$err_in The insert string contains delimiters! Check: $string");}
							exit;
						}
					}
				}
			}else{
				if ($debug){_ErrOut("$err_in There is no ID:$id in the Database:$database");}
				exit;
			} 
		}else{
			if ($debug){_ErrOut("$err_in Unable to insert data, because the $string don't equal to the sample!");}
			exit;
		}   	
	}else{
		if ($debug){_ErrOut("$err_in Unable to insert data, because the database doesn't exist!");}
		exit;
	}
}
?>