#include <INet.au3>
#include <Array.au3>

Global $TxDB_Path
Global Const $TxDB_Debug = True

Func _TxDB_Insert($database,$string,$mode=1) ; Ready!
	Local $ext, $exe = 0
	$ext = "?exe=" & $exe & "&database=" & $database & "&string=" & $string & "&mode=" & $mode
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case 1
			If $TxDB_Debug Then MsgBox(1,"Info","Insert data successfully!")
			return True
		case Else
			If $TxDB_Debug Then MsgBox(1,"Error",$rval)
			return False
	EndSwitch
EndFunc

Func _TxDB_Update($database,$string,$id,$col) ; Ready!
	Local $ext, $exe = 1
	$ext = "?exe=" & $exe & "&database=" & $database & "&string=" & $string & "&id=" & $id & "&col=" & $col
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case 1
			If $TxDB_Debug Then MsgBox(1,"Info","Update data successfully!")
			return True
		case Else
			If $TxDB_Debug Then MsgBox(1,"Error",$rval)
			return False	
	EndSwitch
EndFunc

Func _TxDB_Display($database) ; Medium ! - Funktioniert!
	Local $ext, $exe = 3
	$ext = "?exe=" & $exe & "&database=" & $database
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case -1
			If $TxDB_Debug Then MsgBox(1,"Error","Database doesn't exist!")
		case else
			$split = StringSplit($rval,"<br>",1)
			$sp = StringSplit($split[1],">")
			Dim $Data[$sp[3]][$sp[2]]
			_ArrayDelete($split,0)
			_ArrayDelete($split,0)
			_ArrayDelete($split,$sp[3])
			For $i = 0 to $sp[3] - 1
				$da = StringSplit($split[$i],"=")
				$real = StringSplit($da[2],"|")
				For $k = 1 to UBound($real) - 1
					$Data[$i][$k-1] = $real[$k]
				Next
			Next
			_ArrayDisplay($Data)
	EndSwitch
EndFunc

Func _TxDB_Delete($database) ; Ready !
	Local $ext, $exe = 2
	$ext = "?exe=" & $exe & "&database=" & $database
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case 1
			If $TxDB_Debug Then MsgBox(1,"Info","Database deleted successfully!")
			return True
		case Else
			If $TxDB_Debug Then MsgBox(1,"Error",$rval)
			return False
	EndSwitch
EndFunc

Func _TxDB_Exist($database) ; Ready !
	Local $ext, $exe = 4
	$ext = "?exe=" & $exe & "&database=" & $database
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case 1
			If $TxDB_Debug Then MsgBox(1,"Info","Database exist!")
			return True
		case Else
			If $TxDB_Debug Then MsgBox(1,"Error","Database doesn't exist!")
			return False
	EndSwitch
EndFunc

Func _TxDB_GetCols($database) ; Ready !
	Local $ext, $exe = 5
	$ext = "?exe=" & $exe & "&database=" & $database
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case -1
			If $TxDB_Debug Then MsgBox(1,"Error","Database is empty or an error occurred!")
			return False
		case Else
			If $TxDB_Debug Then MsgBox(1,"Info","Database has " & $rval & " columns!")
			return $rval
	EndSwitch
EndFunc

Func _TxDB_DeleteID($database,$id) ; Ready !
	Local $ext, $exe = 6
	$ext = "?exe=" & $exe & "&database=" & $database & "&id=" & $id
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case 1
			If $TxDB_Debug Then MsgBox(1,"Info","ID successfully deleted in database!")
			return True
		case Else
			If $TxDB_Debug Then MsgBox(1,"Error",$rval)
			return False
	EndSwitch
EndFunc

Func _TxDB_Create($col,$database = "") ; Ready !
	Local $ext, $exe = 7
	$ext = "?exe=" & $exe & "&col=" & $col & "&database=" & $database
	
	$rval = _INetGetSource($TxDB_Path & $ext)
	Switch $rval
		case 1
			If $TxDB_Debug Then MsgBox(1,"Info","Database created successfully!")
			return True
		case Else
			If $TxDB_Debug Then MsgBox(1,"Error",$rval)
			return False
	EndSwitch
EndFunc