<?php
// ********************************
// Fgt Daten in eine Datenbank ein
//
// In:  $database - Name der Datenbank
//		$string   - Der String der eingefgt werden soll
// 		$mode 	  - 1 - An das Ende der Datenbank einfgen
//
// Out: Success   - true
// 		Error     -	(Database already exist -> exit)
// ********************************
function _DB_Insert($database,$string,$mode = 1)
{
	global $debug,$sucout,$charlist;
	$err_in = "_DB_Insert() - ";
	
	if (_DB_Exist($database)){
		if ($sucout){_SucOut("$err_in Database exist!");}
		if (_Check_Str($string,$charlist)){
			$database = $database.".txt";
			$filecontent = file($database);
    		$cols = rtrim(ltrim($filecontent[0],">"));
    		if (!is_numeric($cols) || empty($cols)){
    			if ($debug){_ErrOut($err_in.'The database is badly formatted. Check the content of: "'.$database.'"');}
    			exit;
    		}
			switch ($mode) {
    			case 1:
    				if (_Check_Deli($string)==$cols)
    				{	
    					if ($sucout){_SucOut("$err_in Delimiters okay!");}
    					$count = count($filecontent);
    					$split = explode("=",$filecontent[$count-1]);    				
    					$curID = $split[0]+1;
    					$content = "$curID=$string\n";
    					$file = fopen($database,"a+");
       					fwrite($file,$content);
       					fclose($file);
       					
       					$IDs = _Get_IDs($database);
    					if (in_array($curID,$IDs))
						{
       						if ($sucout){_SucOut("$err_in Insert data successfully!");}
       						if ($sucout){
       							_Info("Database: $database");
       							_Info("Database: $cols Columns!");
       							_Info("New ID: $curID");
       							_Info("Added Row: $content");
       						}
       						echo 1;
       						exit;
       					}else{
       						if ($debug){_ErrOut($err_in.'Failed to insert string! Errorcode: #'.$err_in.'Ins01');}
       						exit;	
       					}
       				}else{
       					if ($debug){_ErrOut($err_in.'The string is badly formatted. Check: "'.$string.'"');}
       					exit;
       				}
       				break;
    			default:
        			if ($debug){_ErrOut($err_in.'No such mode avaible. Check: "'.$mode.'"');}
        			exit;
			}
		}else{
			if ($debug){_ErrOut("$err_in Unable to insert data, because the $string don't equal to the sample!");}
			exit;
		}
	}else{
		if ($debug){_ErrOut("$err_in Unable to insert data, because the database doesn't exist!");}
		exit;
	}
}
?>