<?php
function _DB_Print($database,$mode = 1)
{
	global $debug;
	$err_in = "_DB_Print() - ";
	
	if (_DB_Exist($database)){
		if ($debug){_SucOut("$err_in Database exist!");}
		$cols = _DB_GetCols($database);
		$database = $database .".txt";
		$fileline = file($database);
		
		$context = "";
		$entries = 0;
		$data = 0;
		
		switch ($mode){
			case 0:
				// Ausgabe als Html-Tabelle
				$context .= '<table border="0" width="100%">';
				
				// Tabellenheader
				$context .= "\n";
				$context .= '<thead bgcolor="#CCCCAA">';
 				$context .= "<tr>\n<th>ID</th>";
 				for ($k = 0; $k < $cols;$k++) {
 					$context .= "<th>Column ".$k."</th>";
 				}
 				$context .= "</tr>\n</thead>\n";

 				//Tabellenbody
 				$context .= "<tbody>\n";
 				unset($fileline[0]);
 				foreach ($fileline as $row) {
 					$context .= "<tr>\n"; 
 					$split = explode("=",$row);
 					$context .= '<td align="center" bgcolor="#CCBBC7" width ="8%">'.$split[0]."</td>\n";
 					$entries ++;
					if (!is_array($split)){
						if ($debug){_ErrOut("$err_in String split failed!");}
						//exit;
					}else{
						$items = explode("|",$split[1]);
						for ($i = 0; $i < $cols;$i++){
							$context .= '<td align="center" bgcolor="#CCCCCB">'.$items[$i]."</td>\n";
							$data ++;
						}
					}
					$context .= "</tr>\n"; 
 				}
 				
 				$context .= "</tbody>\n</table>\n";
 				
 				// Info
				$info = '<b>Datenbank: <font color="red">'.$database;
				$info .= '</font><br>Eintr&auml;ge: <font color="red">'.$entries;
				$info .= '</font><br>Daten: <font color="red">'.$data.'</font></b>';
				
				$context = $info . $context;
				
				echo $context;
				break;
			case 1:
				unset($fileline[0]);
				$entries = 0;
 				foreach ($fileline as $row) {
 					$entries ++;
 					$context .= $row . "<br>";
 				}
 				$split = explode("=",$row);
 				$items = explode("|",$split[1]);
 				$con= ">" . count($items) . ">" . $entries . "<br>";
 				echo $con . $context;
		}
	}else{
		if ($debug){_ErrOut("$err_in Database doesn't exist!");}
		echo -1;
		exit;
	}
}
?>